
Foreman - Bug #8361

Search autocomplete dropdown shown behind dashboard widgets

11/12/2014 05:35 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Dashboard   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using the search autocompletion on the dashboard, the dropdown menu is shown behind dashboard widgets.  See

screenshot.

History

#1 - 11/16/2014 12:03 PM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#2 - 11/18/2014 05:16 AM - Dominic Cleal

Seems this is only on an RPM installation.  The <ul> ui-autocomplete tag has a z-index: 1 set, but on a git checkout or Debian installation, this isn't

set and the menu works as expected.

The RPMs have jquery-rails 2.0.2 (SCL) and jquery-ui-rails 4.0.2 (us), versus 2.0.3 / 4.2.1 for gem installs.  jquery-ui is version 1.10.0 versus 1.10.4.

#3 - 11/18/2014 05:40 AM - Dominic Cleal

- Assignee changed from Tomer Brisker to Dominic Cleal

Seems to be fixed in jquery-ui 1.10.1: https://github.com/jquery/jquery-ui/commit/7d5fe02

#4 - 11/18/2014 08:15 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 29

jquery-ui-rails RPM updated to 4.1.2 (1.10.3) to get the fix.  I didn't move to the latest as it requires a newer version of Rails than the ruby193 SCL

ships.
